Bug 1290900 - %python_provide macro uses arch (%{?_isa}) on noarch sub-package
%python_provide macro uses arch (%{?_isa}) on noarch sub-package
Product: Fedora
Classification: Fedora
Component: python-rpm-macros (Show other bugs)
noarch Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-12-11 15:29 EST by Dave Olsthoorn
Modified: 2016-01-15 03:33 EST (History)
12 users (show)

See Also:
Fixed In Version: python-rpm-macros-3-6.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-01-14 23:02:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Olsthoorn 2015-12-11 15:29:18 EST
Description of problem:
the %python_provide macro uses the arch on it's obsoletes and provides. this results in failed koji builds http://koji.fedoraproject.org/koji/taskinfo?taskID=12156455

Version-Release number of selected component (if applicable):

How reproducible:
run rpmbuild --eval '%python_provide python2-%{name}'

Actual results:
Provides: python-%{name}(x86-64) = %{version}-%{release}
Provides: python-%{name} = %{version}-%{release}
Obsoletes: python-%{name}(x86-64) < %{version}-%{release}
Obsoletes: python-%{name} < %{version}-%{release}

Expected results:
Provides: python-%{name} = %{version}-%{release}
Obsoletes: python-%{name} < %{version}-%{release}
Comment 1 Michael Kuhn 2016-01-14 16:42:24 EST
I am hitting the same problem here: http://koji.fedoraproject.org/koji/taskinfo?taskID=12551169

It works fine if the complete package is noarch but if some subpackages are not noarch, the build fails.
Comment 2 Orion Poplawski 2016-01-14 16:57:50 EST
I'm curious how this changed - the macro.python file and thus the %python_provide macro should be unchanged.

It's hard for me to find the actual error message in the koji build.
Comment 3 Orion Poplawski 2016-01-14 16:58:54 EST
Found it.
Comment 4 Michael Kuhn 2016-01-14 17:24:06 EST
It has not really changed I think. My guess would be that the following commit introduced the problem: https://pkgs.fedoraproject.org/cgit/rpms/python.git/commit/?id=3b6fac0339bab69ca5fbf2881568f0565ab0e252
Comment 5 Orion Poplawski 2016-01-14 17:34:44 EST
Yup.  I think I have a fix...
Comment 6 Orion Poplawski 2016-01-14 18:19:41 EST
Should be fixed with this.  Building now.
Comment 7 Orion Poplawski 2016-01-14 23:02:03 EST
Problem with -5, should be fixed in -6.
Comment 8 Michael Kuhn 2016-01-15 03:33:00 EST
My package builds fine now. Thanks for the quick fix! :-)

Note You need to log in before you can comment on or make changes to this bug.